<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SpeechEncoder/src/SpeechEncoder.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6b07903b29b547047bfa8a8b819c80bf.html">SpeechEncoder</a></li><li class="navelem"><a class="el" href="dir_9731bd4bdf2e0f5daa08a24cce5c72eb.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SpeechEncoder.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;climits&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_speech_encoder_8h_source.html">SpeechEncoder/SpeechEncoder.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SpeechEncoder.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_speech_encoder_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_speech_encoder_2src_2_speech_encoder_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_speech_encoder_2src_2_speech_encoder_8cpp" id="_2workplace_2avs-device-sdk_2_speech_encoder_2src_2_speech_encoder_8cpp">
<area shape="rect" id="node5" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1940,585,2116,624"/>
<area shape="rect" id="node24" href="_speech_encoder_8h.html" title="SpeechEncoder/SpeechEncoder.h" alt="" coords="722,105,947,131"/>
<area shape="rect" id="node11" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1714,672,1928,711"/>
<area shape="rect" id="node16" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2328,759,2504,797"/>
<area shape="rect" id="node17" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2003,672,2179,711"/>
<area shape="rect" id="node22" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2254,672,2450,711"/>
<area shape="rect" id="node23" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1691,845,1867,884"/>
<area shape="rect" id="node18" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1984,759,2160,797"/>
<area shape="rect" id="node20" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1984,845,2160,884"/>
<area shape="rect" id="node26" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="1360,179,1558,217"/>
<area shape="rect" id="node39" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="756,272,978,297"/>
<area shape="rect" id="node40" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="585,499,780,537"/>
<area shape="rect" id="node46" href="_encoder_context_8h.html" title="EncoderContext.h" alt="" coords="720,185,848,211"/>
<area shape="rect" id="node27" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1360,265,1522,304"/>
<area shape="rect" id="node29" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="2028,352,2175,377"/>
<area shape="rect" id="node31" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1771,499,1947,537"/>
<area shape="rect" id="node32" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1943,425,2051,451"/>
<area shape="rect" id="node33" href="_reader_8h.html" title="Reader.h" alt="" coords="2156,425,2231,451"/>
<area shape="rect" id="node37" href="_writer_8h.html" title="Writer.h" alt="" coords="2429,425,2496,451"/>
<area shape="rect" id="node36" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="2155,505,2266,531"/>
<area shape="rect" id="node38" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2602,505,2705,531"/>
<area shape="rect" id="node45" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="371,585,565,624"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1speechencoder"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html">alexaClientSDK::speechencoder</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_speech_encoder_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9585bc2a48a86e0f5d535287f9018720"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a9585bc2a48a86e0f5d535287f9018720">alexaClientSDK::speechencoder::TAG</a> (&quot;SpeechEncoder&quot;)</td></tr>
<tr class="memdesc:a9585bc2a48a86e0f5d535287f9018720"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a9585bc2a48a86e0f5d535287f9018720">More...</a><br /></td></tr>
<tr class="separator:a9585bc2a48a86e0f5d535287f9018720"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab4a956930376714ceaf3769c44abbf55"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab4a956930376714ceaf3769c44abbf55">alexaClientSDK::speechencoder::MAX_READERS</a> = 10</td></tr>
<tr class="memdesc:ab4a956930376714ceaf3769c44abbf55"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of readers of the output stream.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab4a956930376714ceaf3769c44abbf55">More...</a><br /></td></tr>
<tr class="separator:ab4a956930376714ceaf3769c44abbf55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc67ada0900b26a5978525e6f922b7ca"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#afc67ada0900b26a5978525e6f922b7ca">alexaClientSDK::speechencoder::READ_TIMEOUT_MS</a> = 10</td></tr>
<tr class="memdesc:afc67ada0900b26a5978525e6f922b7ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reading timeout from input audio stream.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#afc67ada0900b26a5978525e6f922b7ca">More...</a><br /></td></tr>
<tr class="separator:afc67ada0900b26a5978525e6f922b7ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a2e7c40e1533a954d4c1edbdd622a6aea">alexaClientSDK::speechencoder::WRITE_TIMEOUT_MS</a> = std::chrono::milliseconds(100)</td></tr>
<tr class="memdesc:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout between write retrying.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a2e7c40e1533a954d4c1edbdd622a6aea">More...</a><br /></td></tr>
<tr class="separator:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a4604890b20d4e3406876d9e1a6f7ecc0">alexaClientSDK::speechencoder::MAX_OUTPUT_PACKETS</a> = 20</td></tr>
<tr class="memdesc:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of packets to be buffered to the output stream.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a4604890b20d4e3406876d9e1a6f7ecc0">More...</a><br /></td></tr>
<tr class="separator:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
